Bug 20823 - UNIMARC XSLT does not display 604$t
Summary: UNIMARC XSLT does not display 604$t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-25 14:50 UTC by Fridolin SOMERS
Modified: 2019-03-26 23:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20823: UNIMARC XSLT add subfield t for subjects (2.53 KB, patch)
2018-05-25 15:05 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 20823: UNIMARC XSLT add subfield t for subjects (2.73 KB, patch)
2019-02-27 13:12 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 20823: UNIMARC XSLT add subfield t for subjects (2.75 KB, patch)
2019-03-12 13:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2018-05-25 14:50:42 UTC
In UNIMARC, 604 contains subfield t.
Actual XSLT files use template tag_subject for 604, it does not use t subfield.
Comment 1 Fridolin SOMERS 2018-05-25 15:05:54 UTC
Created attachment 75566 [details] [review]
Bug 20823: UNIMARC XSLT add subfield t for subjects

In UNIMARC, 604 contains subfield t, see http://multimedia.bnf.fr/unimarcb_trad/B604-6-2011.pdf.
Actual XSLT files use template tag_subject for 604, it does not use t subfield.

This patch adds subfield t to tag_subject and tag_onesubject templates in intranet and OPAC XSLT files.

Test plan :
1) In UNIMARC catalog edit a biblio record to add 604$t
2) Use default XSLT files in sysprefs
2) Go to catalogue details page of this record using default XSLT files
3) Check $t is displayed at OPAC and intranet
Comment 2 Séverine Queune 2018-05-30 10:34:21 UTC
Works correctly for Intranet but on OPAC, only the label is displayed.
Comment 3 Fridolin SOMERS 2018-06-14 14:45:29 UTC
I reproduce when 604 contains only $t.
But I've seen UNIMARC 604 has $a mandatory.
Please check with 604 $a and $t.
Comment 4 Séverine Queune 2019-02-27 10:27:26 UTC
Sorry Frido for the delay, I completely missed your comment !

(In reply to Fridolin SOMERS from comment #3)
> I reproduce when 604 contains only $t.
> But I've seen UNIMARC 604 has $a mandatory.
> Please check with 604 $a and $t.
You're right, 604$t is correctly displayed when there is a 604$a, but the display depends of the order of creation of the fields ($t will be displayed first if created first, and vice verse for $a), is that normal ?

When I have several 604 subfields, the link is the same for all the 604 values, but the new search is only done on the first displayed value : shouldn’t we have a link for each subfield ?
Comment 5 Fridolin SOMERS 2019-02-27 10:57:05 UTC
(In reply to Séverine Queune from comment #4)
> Sorry Frido for the delay, I completely missed your comment !
> 
> (In reply to Fridolin SOMERS from comment #3)
> > I reproduce when 604 contains only $t.
> > But I've seen UNIMARC 604 has $a mandatory.
> > Please check with 604 $a and $t.
> You're right, 604$t is correctly displayed when there is a 604$a, but the
> display depends of the order of creation of the fields ($t will be displayed
> first if created first, and vice verse for $a), is that normal ?

I'd say yes.

> 
> When I have several 604 subfields, the link is the same for all the 604
> values, but the new search is only done on the first displayed value :
> shouldn’t we have a link for each subfield ?

Oh, this patch only adds $t to the tag_subject template call.
This is the behavior of tag_subject template, you may open a new bug.
Comment 6 Séverine Queune 2019-02-27 11:08:23 UTC
(In reply to Fridolin SOMERS from comment #5)
> (In reply to Séverine Queune from comment #4)
> > Sorry Frido for the delay, I completely missed your comment !
> > 
> > (In reply to Fridolin SOMERS from comment #3)
> > > I reproduce when 604 contains only $t.
> > > But I've seen UNIMARC 604 has $a mandatory.
> > > Please check with 604 $a and $t.
> > You're right, 604$t is correctly displayed when there is a 604$a, but the
> > display depends of the order of creation of the fields ($t will be displayed
> > first if created first, and vice verse for $a), is that normal ?
> 
> I'd say yes.
> 
Great ! Let's sign it then :)

> > 
> > When I have several 604 subfields, the link is the same for all the 604
> > values, but the new search is only done on the first displayed value :
> > shouldn’t we have a link for each subfield ?
> 
> Oh, this patch only adds $t to the tag_subject template call.
> This is the behavior of tag_subject template, you may open a new bug.
Ok, I'll do it.

Thanks Frido !
Comment 7 sandboxes@biblibre.com 2019-02-27 13:12:11 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 8 sandboxes@biblibre.com 2019-02-27 13:12:33 UTC
Created attachment 85771 [details] [review]
Bug 20823: UNIMARC XSLT add subfield t for subjects

In UNIMARC, 604 contains subfield t, see http://multimedia.bnf.fr/unimarcb_trad/B604-6-2011.pdf.
Actual XSLT files use template tag_subject for 604, it does not use t subfield.

This patch adds subfield t to tag_subject and tag_onesubject templates in intranet and OPAC XSLT files.

Test plan :
1) In UNIMARC catalog edit a biblio record to add 604$t
2) Use default XSLT files in sysprefs
2) Go to catalogue details page of this record using default XSLT files
3) Check $t is displayed at OPAC and intranet

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 9 Martin Renvoize 2019-03-12 13:28:26 UTC
Created attachment 86533 [details] [review]
Bug 20823: UNIMARC XSLT add subfield t for subjects

In UNIMARC, 604 contains subfield t, see http://multimedia.bnf.fr/unimarcb_trad/B604-6-2011.pdf.
Actual XSLT files use template tag_subject for 604, it does not use t subfield.

This patch adds subfield t to tag_subject and tag_onesubject templates in intranet and OPAC XSLT files.

Test plan :
1) In UNIMARC catalog edit a biblio record to add 604$t
2) Use default XSLT files in sysprefs
2) Go to catalogue details page of this record using default XSLT files
3) Check $t is displayed at OPAC and intranet

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2019-03-12 13:28:49 UTC
Trivial patch that does what it says on the tin.. Passing QA
Comment 11 Nick Clemens 2019-03-15 12:47:00 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-03-19 10:42:34 UTC
Pushed to 18.11.x for 18.11.04
Comment 13 Lucas Gass 2019-03-26 23:31:39 UTC
backported to 18.05.x for 18.05.12